
#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float uTime;

void main()
{
    // Get water color
    vec4 source = v_fragmentColor;
    
    // Get texcoords
    vec2 uv = v_texCoord;
    
    // Do the warping
    uv.x += sin(uv.y*10.0+uTime)/500.0;
    
    // Sample texture
    
    vec4 dest = texture2D(CC_Texture0, uv);
    
    // Apply darken effect when destination isn't transparant
    if(dest.a != 0.0)
    {
        // Darken effect
        dest.rgb =  mix(dest.rgb, vec3(0.0,0,0), 0.7); // 0.7
        source.rgb = mix(source.rgb, dest.rgb, dest.a * 0.7); // 0.5
        source.a = 1.0;
    }
    
    
    // Write out
    gl_FragColor = source;
}